Skip to navigation

Get an app entry

View as Markdown
Returns details of an App entry from a directory

Authentication

AuthorizationToken

Your API key, sent as Authorization: Token <your API key>

Path parameters

directoryIdstringRequiredformat: "uuid"
id of the directory
entryIdstringRequiredformat: "uuid"
id of the App entry

Response

Successful operation
hrefstringRead-only
idstringformat: "uuid"
titlestring<=256 characters
headlinestring or null<=250 characters
typestring<=100 characters
slugstringformat: "^[-a-zA-Z0-9_]+$"<=60 characters
customSlugstring or nullformat: "^[-a-zA-Z0-9_]+$"<=60 characters
statusenum
  • hidden - hidden
  • inactive - inactive
  • public - public
  • searchable - searchable
Allowed values:
iconstring or null
imagestring or null
iconDarkstring or null
imageDarkstring or null
websitestring or nullformat: "uri"
featuredboolean
ownermap from strings to any or null
userAssignedFilterOptionsstringRead-only
systemAssignedFilterOptionsstringRead-only
mappedAssignedFilterOptionsstringRead-only
tierobject or null
lastModifiedobject or nullOptional

Serializer for last_modified info including timestamp and user details.

descriptionstring or nullOptional
iconUrlstring or nullOptionalformat: "uri"
imageUrlstring or nullOptionalformat: "uri"
calloutslist of objectsOptional

Errors

404
Not Found Error